<?php

/**
 * Contao Open Source CMS
 *
 * Copyright (c) 2005-2013 Leo Feyer
 *
 * @package   simple_products
 * @author    Fast & Media | Christian Schmidt <info@fast-end-media.de>
 * @license   LGPL
 * @copyright Fast & Media 2013 <http://www.fast-end-media.de>
 */

class SimpleProductsRunonceJob extends Controller
{
	public function __construct()
	{
		parent::__construct();
		$this->import('Database');
	}

	public function run()
	{
		//nur ab Contao 2.9
		if (version_compare(VERSION, '2.8', '>'))
		{
			// change categories to archives
			if ($this->Database->tableExists('tl_product_category') && !$this->Database->tableExists('tl_product_archive'))
			{
				//Rename Table
        $this->Database->execute("RENAME TABLE `tl_product_category` TO `tl_product_archive`");
			}

			if($this->Database->tableExists('tl_product_category')) {
				//change headline to title
				if (!$this->Database->fieldExists('discount', 'tl_product_category'))
				{
	        $this->Database->execute("ALTER TABLE `tl_product_category` CHANGE `sales` `discount` VARCHAR( 64 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL");
				}
			}

			if($this->Database->tableExists('tl_product')) {
				//change headline to title
				if (!$this->Database->fieldExists('title', 'tl_product'))
				{
					$this->Database->execute("ALTER TABLE `tl_product` CHANGE `headline` `title` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,
	CHANGE  `subheadline`  `subtitle` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL");
					$this->Database->execute("UPDATE tl_module SET list_sort = replace(list_sort,'headline','title') WHERE type = 'productlist'");
	        $this->Database->execute("UPDATE `tl_product` SET source = 'none' WHERE source = 'default'");
				}

				//change quantity to amount
				if ($this->Database->fieldExists('quantity', 'tl_product'))
				{
					$this->Database->execute("ALTER TABLE `tl_product` CHANGE `quantity` `amount` VARCHAR( 64 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL");
				}

				//change weight
				if ($this->Database->fieldExists('weight', 'tl_product'))
				{
					$objProduct = $this->Database->execute("SELECT weight FROM tl_product WHERE weight = '0.00' OR weight > 0 LIMIT 1");

					//Ist Wert kein array?
          if($objProduct->weight) {

						$this->Database->execute("ALTER TABLE `tl_product` CHANGE `weight` `weight` VARCHAR( 64 ) NOT NULL");

	          //Werte mit 0.00 löschen
	          $this->Database->execute("UPDATE tl_product SET weight = '' WHERE weight = '0.00'");

						//Alle anderen Werte in serialisiertes array umwandeln
						$objProduct = $this->Database->execute("SELECT id, weight FROM tl_product WHERE weight != ''");
						while($objProduct->next()) {
							if($objProduct->weight > 0) {
								$weight = serialize(array('unit' => '', 'value' => $objProduct->weight));
			          $this->Database->execute("UPDATE tl_product SET weight = '$weight' WHERE id = '$objProduct->id'");
							}
						}
					}

				}
			}

		}
	}
}

$objRunonceJob = new SimpleProductsRunonceJob();
$objRunonceJob->run();
